# 00201.mod		
# Original AMPL coding by Alexey Izmailov 26.10.07.

# Ref.: Wright, MP 95 (2003), 137-160, p. 138.
# Ref.: Izmailov and Golishnikov, Comp. Math. Math. Phys. 46 (2006), 1299-1319, Example 1.

# Number of variables: 2
# Number of constraints: 2

# Solution: (0, 0)
# Optimal value: 1/2
# Unique (noncritical) multiplier: (1, 0)

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         (x[1] + 1)^2/2 + x[2]^2/2;

s.t. mu1 := Uniform(0,RangeStartingPoints):
     x[1] >= 0;
s.t. mu2 := Uniform(0,RangeStartingPoints):
     x[1] + x[2] >= 0;
