# 00302.mod		
# Original AMPL coding by Alexey Izmailov 02.04.10.

# Ref.: De Miguel and Murray, Tech. Report SOL 01-3 (2001), (9).
# Ref.: Mostafa, Vicente, and Wright, Glogal Optimization and Constraint Satisfaction (2003), 123-141, Test problem 7.

# Number of variables: 3
# Number of constraints: 6

# Solution: (3, 3, 3)
# Optimal value: 0
# Unique (noncritical) multiplier: (0, 0, 0, 0, 0)

param RangeStartingPoints := 100;

option randseed 0;

var x{1..3} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         (x[1]-3)^2+(x[2]-x[1])^2/2+(x[3]-(6-x[1]))^2/2;

s.t. mu1 := Uniform(0,RangeStartingPoints):
     x[1]*x[2] >= 1;
s.t. mu2 := Uniform(0,RangeStartingPoints):
     -x[1]*x[2] >= -9;
s.t. mu3 := Uniform(0,RangeStartingPoints):
     (6-x[1])*x[2] >= 4;
s.t. mu4 := Uniform(0,RangeStartingPoints):
     (6-x[1])*x[3] >= 1;
s.t. mu5 := Uniform(0,RangeStartingPoints):
     -(6-x[1])*x[3] >= -9;
s.t. mu6 := Uniform(0,RangeStartingPoints):
    x[1]*x[3] >= 4;