# 10202.mod		
# Original AMPL coding by Alexey Izmailov 27.11.07.

# Ref.: Wright, COAP 11 (1998), 253-257.
# Ref.: Mostafa, Vicente, and Wright, Glogal Optimization and Constraint Satisfaction (2003), 123-141, Test problem 6.
# Ref.: Izmailov and Golishnikov, Comp. Math. Math. Phys. 46 (2006), 1299-1319, Example 3.
# Ref.: MPCC/Initial, Example 2.3.
# Ref.: Izmailov and Solodov, COAP 42 (2009), 231-264, Example 3.1.

# Number of variables: 2
# Number of constraints: 2

# Solution: (0, 0)
# Optimal value: 0
# Critical multipliers: none

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[1];

s.t. mu1 := Uniform(0,RangeStartingPoints):
     -(x[1] - 2)^2 - x[2]^2 >= -4;
s.t. mu2 := Uniform(0,RangeStartingPoints):
     -(x[1] - 4)^2 - x[2]^2 >= -16; 