# 10301.mod		
# Original AMPL coding by Alexey Izmailov 21.11.07.

# Ref.: Arutyunov, Itogi Nauki i Tekhniki 27 (1989), 147-253 (modified).
# Ref.: Anitescu, SIAM J. Optim. 10 (2000), 1116-1135, Section 3.
# Ref.: Mostafa, Vicente, and Wright, Glogal Optimization and Constraint Satisfaction (2003), 123-141, Test problem 10.
# Ref.: Izmailov and Golishnikov, Comp. Math. Math. Phys. 46 (2006), 1299-1319, Example 8.
# Ref.: Izmailov and Solodov, COAP 42 (2009), 231-264, Example 4.16.

# Number of variables: 3
# Optimal value: 0
# Number of constraints: 4

# Solution: (0, 0, 0)
# Critical multiplier for I={1, 2, 3, 4}: 
#       (2*mu1 - mu2 - 4*mu3 - mu4)*(-4*mu1 - mu2 + 2*mu3 - mu4) - 9*(mu2 - mu4)^2 = 0,
#        mu1 + mu2 + mu3 + mu4=1, mu1 >= 0, mu2 >= 0, mu3 >= 0, mu4 >= 0

param RangeStartingPoints := 100;

option randseed 0;

var x{1..3} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[3];

s.t. mu1 := Uniform(0,RangeStartingPoints):
     -x[1]^2 + 2*x[2]^2 + x[3] >= 0; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
     (x[1]^2 + x[2]^2)/2 - 3*x[1]*x[2] + x[3] >= 0;
s.t. mu3 := Uniform(0,RangeStartingPoints):
     2*x[1]^2 - x[2]^2 + x[3] >= 0;
s.t. mu4 := Uniform(0,RangeStartingPoints):
     (x[1]^2 + x[2]^2)/2 + 3*x[1]*x[2] + x[3] >= 0;