# 10302.mod		
# Original AMPL coding by Alexey Izmailov 21.11.07.

# Ref.: Baccari and Trad, SIAM J. Optim. 15 (2004), 394-408, Example 6.1.
# Ref.: Izmailov and Golishnikov, Comp. Math. Math. Phys. 46 (2006), 1299-1319, Example 9.
# Ref.: Izmailov and Solodov, COAP 42 (2009), 231-264, Example 4.17.

# Number of variables: 3
# Number of constraints: 3

# Solution: (0, 0, 0)
# Optimal value: 0
# Critical multipliers for I={1, 2, 3}: 
#       2*(mu1*mu2 + mu1*mu3 + mu2*mu3) - mu1^2 - mu2^2 - mu3^2 = 0,
#       mu1 + mu2 + mu3=1, mu1 >= 0, mu2 >= 0, mu3 >= 0

# Solutions: 3^{1/2}*x1-x2=0
# Critical multipliers for I={1, 2}: (1/2, 1/2, 0)

# Solutions: 3^{1/2}*x1+x2=0
# Critical multipliers for I={2, 3}: (0, 1/2, 1/2)

# Solutions: x2=0
# Critical multipliers for I={1, 3}: (1/2, 0, 1/2)

param RangeStartingPoints := 100;

option randseed 0;

var x{1..3} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[3];

s.t. mu1 := Uniform(0,RangeStartingPoints):
     -2*sqrt(3)*x[1]*x[2] + 2*x[2]^2 + x[3] >= 0; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
     -x[2]^2 + 3*x[1]^2 + x[3] >= 0;
s.t. mu3 := Uniform(0,RangeStartingPoints):
     2*sqrt(3)*x[1]*x[2] + 2*x[2]^2 + x[3] >= 0;