# 10403.mod		
# Original AMPL coding by Alexey Izmailov 03.04.10.

# Ref.: Hock and Schittkowski, Test Examples for Nonlinear Programming Codes (1981), Problem 40 (modified).
# Ref.: Mostafa, Vicente, and Wright, Glogal Optimization and Constraint Satisfaction (2003), 123-141, Test problem 9.

# Number of variables: 4
# Number of constraints: 5

# Solutions: (2^{-1/3}, 2^{-1/2}, -2^{-11/12}, -2^{-1/4}), (2^{-1/3}, 2^(-1/2), 2^{-11/12}, 2^{-1/4}) 
# Optimal value: -0.25
# Critical multipliers: exist 


param RangeStartingPoints := 100;

option randseed 0;

var x{1..4} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         -x[1]*x[2]*x[3]*x[4];

s.t. lambda1 := Uniform(-RangeStartingPoints,RangeStartingPoints):
     -x[1]^3 - x[2]^2 + 1 = 0;
s.t. lambda2 := Uniform(-RangeStartingPoints,RangeStartingPoints):
      -x[1]^2*x[4] + x[3] = 0;
s.t. lambda3 := Uniform(-RangeStartingPoints,RangeStartingPoints):
      -x[4]^2 + x[2] = 0;
s.t. mu1 := Uniform(0,RangeStartingPoints):
      x[1]*x[2]*x[3]*x[4] - 0.25 >= 0; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
      0.5*x[1]*x[2]*x[3]*x[4] - 0.124999 >= 0; 