# 20201.mod		
# Original AMPL coding by Alexey Izmailov 28.11.07.

# Ref.: Andreani and Martinez, MMOR 54 (2001), 345-358.
# Ref.: Izmailov and Golishnikov, Comp. Math. Math. Phys. 46 (2006), 1299-1319, Example 14.
# Ref.: Izmailov and Solodov, COAP 42 (2009), 231-264, Example 4.6.

# Number of variables: 2
# Number of constraints: 2

# Solution: (0, 0)
# Optimal value: 0
# Critical multipliers: none 

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[1]^2;

s.t. lambda := Uniform(-RangeStartingPoints,RangeStartingPoints):
     -x[2] = 0; 
s.t. mu := Uniform(0,RangeStartingPoints):
     -x[2] >= 0; 
