# 20215.mod		
# Original AMPL coding by Alexey Izmailov 04.04.10.

# Ref.: Izmailov, Comp. Math. Math. Phys. 45 (2005), 918-929, Example 6.

# Number of variables: 2
# Number of constraints: 1

# Solutions: x[1]^2 - x[2]^2 = 0
# Degenerate solution: (0, 0)
# Optimal value: 0
# Critical multiplier: 0 

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         0;

s.t. lambda := Uniform(-RangeStartingPoints,RangeStartingPoints):
     -x[1]^2 + x[2]^2 = 0;