# 20218.mod		
# Original AMPL coding by Alexey Izmailov 04.04.10.

# Ref.: Avakov, Arutyunov, and Izmailov, Proceedings of the Steklov Institute of Mathematics 256 (2007), 225, Example 4.

# Number of variables: 2
# Number of constraints: 2

# Solutions: x[1] = 0, x[2] <= 0, or x[1] <= 0, x[2] = 0
# Degenerate solution: (0, 0)
# Optimal value: 0
# Critical multipliers: none 

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[1]*x[2];

s.t. mu1 := Uniform(0,RangeStartingPoints):
     -x[1]^3 >= 0;
s.t. mu2 := Uniform(0,RangeStartingPoints):
     -x[2]^3 >= 0;