# 20301.mod		
# Original AMPL coding by Alexey Izmailov 21.11.07.

# Ref.: Izmailov, Comp. Math. Math. Phys. 45 (2005), 918-929, Example 7.
# Ref.: Izmailov and Golishnikov, Comp. Math. Math. Phys. 46 (2006), 1299-1319, Example 16.
# Ref.: Izmailov and Solodov, COAP 42 (2009), 231-264, Example 2.2.

# Number of variables: 3
# Number of constraints: 2

# Solutions: x[1]=0, x[2]^2=x[3]^2
# Degenerate solution: (0, 0, 0)
# Optimal value: 0
# Critical multipliers: lambda1=1 or 4*lambda1^2+lambda2^2=4 

param RangeStartingPoints := 100;

option randseed 0;

var x{1..3} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[1]^2-x[2]^2+x[3]^2;

s.t. lambda1 := Uniform(-RangeStartingPoints,RangeStartingPoints):
     -x[1]^2 - x[2]^2 + x[3]^2 = 0; 
s.t. lambda2 := Uniform(-RangeStartingPoints,RangeStartingPoints):
     -x[1]*x[3] = 0; 