# 30201.mod		
# Original AMPL coding by Alexey Izmailov 28.11.07.

# Ref.: Izmailov and Solodov, SIAM J. Optim 15 (2004), 210-228, Example 4.1.
# Ref.: Arutyunov and Izmailov, MOR 30 (2005), 333353, Example 6.2.
# Ref.: Izmailov and Golishnikov, Comp. Math. Math. Phys. 46 (2006), 1299-1319, Example 21.
# Ref.: Izmailov and Solodov, COAP 42 (2009), 231-264, Example 4.7.

# Number of variables: 2
# Number of constraints: 3

# Solution: (0, 0)
# Optimal value: 0
# Critical multipliers: none 

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[1]+2*x[2];

s.t. mu1 := Uniform(0,RangeStartingPoints):
     x[1] >= 0; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
     x[2] >= 0; 
s.t. mu3 := Uniform(0,RangeStartingPoints):
     -x[1]*x[2] >= 0; 
