# 30202.mod		
# Original AMPL coding by Alexey Izmailov 28.11.07.

# Ref.: Hu and Ralph, JOTA 123 (2004), 365-390.
# Ref.: Izmailov and Golishnikov, Comp. Math. Math. Phys. 46 (2006), 1299-1319, Example 22.
# Ref.: Izmailov and Solodov, COAP 42 (2009), 231-264, Example 4.8.

# Number of variables: 2
# Number of constraints: 3

# Global solution: (0, 2)
# Optimal value: 1/2
# Local solution: (1, 0)
# Value at local solution: 2
# Critical multipliers: none 

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         (x[1] - 1)^2/2 + (x[2] - 2)^2/2;

s.t. mu1 := Uniform(0,RangeStartingPoints):
     x[1] >= 0; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
     x[2] >= 0; 
s.t. mu3 := Uniform(0,RangeStartingPoints):
     -x[1]*x[2] >= 0; 