# 30203.mod		
# Original AMPL coding by Alexey Izmailov 28.11.07.

# Ref.: Anitescu, Tseng, and Wright, Preprint No. ANL/MCS-P1242-0405 (2005), Example 1.
# Ref.: Izmailov and Golishnikov, Comp. Math. Math. Phys. 46 (2006), 1299-1319, Example 23.
# Ref.: Izmailov and Solodov, COAP 42 (2009), 231-264, Example 4.9.

# Number of variables: 2
# Number of constraints: 3

# Solution: (0, 1)
# Optimal value: 0
# Critical multipliers: none
# Local solutions: x = (x_1, 0), x_1 > 0
# Value at local solutions: 1/2 

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         (x[2] - 1)^2/2;

s.t. mu1 := Uniform(0,RangeStartingPoints):
     x[1] >= 0; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
     x[2] >= 0; 
s.t. mu3 := Uniform(0,RangeStartingPoints):
     -x[1]*x[2] >= 0; 