# 30204.mod		
# Original AMPL coding by Alexey Izmailov 28.11.07.

# Ref.: Anitescu, Tseng, and Wright, Preprint No. ANL/MCS-P1242-0405 (2005), Example 2.
# Ref.: Izmailov and Golishnikov, Comp. Math. Math. Phys. 46 (2006), 1299-1319, Example 24.
# Ref.: Izmailov and Solodov, COAP 42 (2009), 231-264, Example 4.10.

# Number of variables: 2
# Number of constraints: 3

# Local solutions: (0, 1/(pi +2*pi*k)), k = 0, 1, ...
# Value at local solutions: 0
# Critical multipliers: none 

param RangeStartingPoints := 100;

option randseed 0;

param ComputerZero := 1e-6;
param IntegrationPointsNumber := 100;

set IntegrationGrid := {1..IntegrationPointsNumber};

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         -x[1] + ((x[2] - ComputerZero)/IntegrationPointsNumber)
         *sum {j in IntegrationGrid} ((j-1/2)*(x[2] - ComputerZero)/IntegrationPointsNumber)^6
         *sin(1/((j-1/2)*(x[2] - ComputerZero)/IntegrationPointsNumber));

s.t. mu1 := Uniform(0,RangeStartingPoints):
     x[1] >= 0; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
     x[2] >= 0; 
s.t. mu3 := Uniform(0,RangeStartingPoints):
     -x[1]*x[2] >= 0; 