# 30205.mod		
# Original AMPL coding by Alexey Izmailov 28.11.07.

# Ref.: MacMPEC, jr1.
# Ref.: Jiang and Ralph, Tech. Report (1997), Example 1 and p. 15.
# Ref.: Fletcher, Leyffer, Ralph, and Scholtes, SIAM J. Optim 17 (2006), 259-286, (2.1).
# Ref.: Izmailov and Golishnikov, Comp. Math. Math. Phys. 46 (2006), 1299-1319, Example 25.
# Ref.: Izmailov and Solodov, COAP 42 (2009), 231-264, Example 4.11.

# Number of variables: 2
# Number of constraints: 3

# Solution: (1/2, 1/2)
# Optimal value: 1/2
# Critical multipliers: none 

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         (x[1] - 1)^2 + x[2]^2;

s.t. mu1 := Uniform(0,RangeStartingPoints):
     x[2] >= 0; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
     x[2] - x[1] >= 0; 
s.t. mu3 := Uniform(0,RangeStartingPoints):
     -x[2]*(x[2] - x[1]) >= 0; 
