# 30301.mod		
# Original AMPL coding by Alexey Izmailov 21.11.07.

# Ref.: Izmailov and Solodov, SIOPT 15 (2004), 210-228, Example 4.2.
# Ref.: Izmailov and Golishnikov, Comp. Math. Math. Phys. 46 (2006), 1299-1319, Example 30.
# Ref.: Izmailov and Solodov, COAP 42 (2009), 231-264, Example 4.22.

# Number of variables: 3
# Number of constraints: 4

# Solution: (0, 0, 1)
# Optimal value: 0
# Critical multipliers for I={1, 2, 3, 5} : mu1 = 1, mu3 = mu4 = 0, mu5 = 1 + mu2, mu2 >= 0

param RangeStartingPoints := 100;

option randseed 0;

var x{1..3} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[1] + x[2] + x[1]^2 + x[2]^2 + (x[3] - 1)^2;

s.t. mu1 := Uniform(0,RangeStartingPoints):
     x[1] + x[2] >= 0; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
     x[1]^2 - (x[3] - 1)^2 >= 0; 
s.t. mu3 := Uniform(0,RangeStartingPoints):
     x[2] >= 0; 
s.t. mu4 := Uniform(0,RangeStartingPoints):
     x[3] >= 0; 
s.t. mu5 := Uniform(0,RangeStartingPoints):
     -(x[1] + x[2])*x[2] - (x[1]^2 - (x[3] - 1)^2)*x[3] >= 0; 