# 30303.mod		
# Original AMPL coding by Alexey Izmailov 05.04.10.

# Ref.: Stein, MP, DOI 10.1007/s10107-010-0345-y, Example 6.1.

# Number of variables: 3
# Number of constraints: 5

# Solution: (0, 0, -1)
# Optimal value: -0.8
# Critical multipliers: none 

param RangeStartingPoints := 100;

option randseed 0;

var x{1..3} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         0.1*x[1] + 0.1*x[2] + 0.8*x[3];

s.t. mu1 := Uniform(0,RangeStartingPoints):
     x[1] >= 0; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
     -x[1] - x[2] - x[3] + 1 >= 0; 
s.t. mu3 := Uniform(0,RangeStartingPoints):
     x[2] >= 0; 
s.t. mu4 := Uniform(0,RangeStartingPoints):
     -x[1] - x[2] + x[3] + 1 >= 0;
s.t. mu5 := Uniform(0,RangeStartingPoints):
     -x[1]*x[2] - (x[1] + x[2] + x[3] - 1)*(x[1] + x[2] - x[3] - 1) >= 0;