# 30401.mod		
# Original AMPL coding by Alexey Izmailov 05.04.10.

# Ref.: Arutyunov and Izmailov, MOR 30 (2005), 333353, Example 6.1.

# Number of variables: 4
# Number of constraints: 5

# Solution: (0, 0, 0, 0)
# Optimal value: 0
# Critical multipliers for I = {1, 2, 3, 4, 5}: (1/2, 1/2, 0, 0, mu_5), mu_5 >= 0 

param RangeStartingPoints := 100;

option randseed 0;

var x{1..4} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         -x[2] + (x[3]^2 + x[4]^2)/2;

s.t. mu1 := Uniform(0,RangeStartingPoints):
     -x[2] - x[1]^2 >= 0; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
     -x[2] + x[1]^2 >= 0; 
s.t. mu3 := Uniform(0,RangeStartingPoints):
     x[3] >= 0; 
s.t. mu4 := Uniform(0,RangeStartingPoints):
     x[4] >= 0;
s.t. mu5 := Uniform(0,RangeStartingPoints):
     (x[2] + x[1]^2)*x[3] + (x[2] - x[1]^2)*x[4] >= 0;