# 40201.mod		
# Original AMPL coding by Alexey Izmailov 18.06.09.

# Ref.: Achtziger and Kanzow, MP 114 (2007), 69-99, Example 4.
# Ref.: Hoheisel and Kanzow, Optimizat., DOI 10.1080/02331930701763405, Example 2.8.

# Number of variables: 2
# Number of constraints: 2

# Solution: (0, 0)
# Optimal value: 0
# Critical multiplier for I={2}: (0, 2+2*sqrt(2)) 

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[1]^2 + x[2]^2;

s.t. mu1 := Uniform(0,RangeStartingPoints):
     x[1] + x[2] >= 0; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
     -x[1]*(x[1] + x[2]) >= 0; 