# 40401.mod		
# Original AMPL coding by Alexey Izmailov 18.06.09.

# Ref.: Hoheisel and Kanzow, Optimizat., DOI 10.1080/02331930701763405, Example 5.6.

# Number of variables: 4
# Number of constraints: 5

# Solution: (0, 0, 0, 0)
# Optimal value: 0
# Critical multiplier for I={1, 2, 3, 5}: (0, 0, 0, 0, 2)

param RangeStartingPoints := 100;

option randseed 0;

var x{1..4} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[1]^2 + x[2]^2 + x[3]^2 + x[4]^2;

s.t. mu1 := Uniform(0,RangeStartingPoints):
     x[1] >= 0; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
     x[2] >= 0; 
s.t. mu3 := Uniform(0,RangeStartingPoints):
     -x[1]+x[2] >= 0; 
s.t. mu4 := Uniform(0,RangeStartingPoints):
     x[3] >= 0; 
s.t. mu5 := Uniform(0,RangeStartingPoints):
     -x[3]*x[4] >= 0; 
